/**
 * @file
 * Custom JS for administering Menu_MiniPanels.
 */

/**
 * In admin menu edit, this hides and closes the qTip config depending on
 * whether a minipanel is selected.
 */
(function($) {
  Drupal.behaviors.menuMiniPanels = {
    attach: function(context, settings) {
      // Hide hover settings unless a minipanel is selected.
      var toggleHoverSettings = function() {
        if ($('#edit-options-minipanel').val() == '' && $('#menu-minipanels-hover-settings').is(':visible')) {
          $('#menu-minipanels-hover-settings').slideUp(500);
        }
        else if ($('#edit-options-minipanel').val() != '') {
          $('#menu-minipanels-hover-settings').slideDown(500);
        }
      }

      $('#edit-options-minipanel').change(function(e) {
        toggleHoverSettings();
      });

      // Set appropriate on load.
      toggleHoverSettings();
    }
  };
})(jQuery);
